Package org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.ParameterElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.ParameterElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.ParameterElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives_2()` |
    `org.eclipse.xtext.Keyword` | `getColonKeyword_2_0_0()` |
    `org.eclipse.xtext.Keyword` | `getColonKeyword_2_1_0()` |
    `org.eclipse.xtext.Assignment` | `getDirectionAssignment_0()` |
    `org.eclipse.xtext.RuleCall` | `getDirectionParameterDirectionModifierEnumRuleCall_0_0()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_2_0()` |
    `org.eclipse.xtext.Group` | `getGroup_2_1()` |
    `org.eclipse.xtext.Assignment` | `getNameAssignment_1()` |
    `org.eclipse.xtext.RuleCall` | `getNameIDTerminalRuleCall_1_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Assignment` | `getTypeAssignment_2_0_1()` |
    `org.eclipse.xtext.Assignment` | `getTypeAssignment_2_1_1()` |
    `org.eclipse.xtext.RuleCall` | `getTypeJavaTypeParserRuleCall_2_1_1_0()` |
    `org.eclipse.xtext.RuleCall` | `getTypeTypeParserRuleCall_2_0_1_0()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterElements

          public ParameterElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getDirectionAssignment_0

          public org.eclipse.xtext.Assignment getDirectionAssignment_0()

    - #### getDirectionParameterDirectionModifierEnumRuleCall_0_0

          public org.eclipse.xtext.RuleCall getDirectionParameterDirectionModifierEnumRuleCall_0_0()

    - #### getNameAssignment_1

          public org.eclipse.xtext.Assignment getNameAssignment_1()

    - #### getNameIDTerminalRuleCall_1_0

          public org.eclipse.xtext.RuleCall getNameIDTerminalRuleCall_1_0()

    - #### getAlternatives_2

          public org.eclipse.xtext.Alternatives getAlternatives_2()

    - #### getGroup_2_0

          public org.eclipse.xtext.Group getGroup_2_0()

    - #### getColonKeyword_2_0_0

          public org.eclipse.xtext.Keyword getColonKeyword_2_0_0()

    - #### getTypeAssignment_2_0_1

          public org.eclipse.xtext.Assignment getTypeAssignment_2_0_1()

    - #### getTypeTypeParserRuleCall_2_0_1_0

          public org.eclipse.xtext.RuleCall getTypeTypeParserRuleCall_2_0_1_0()

    - #### getGroup_2_1

          public org.eclipse.xtext.Group getGroup_2_1()

    - #### getColonKeyword_2_1_0

          public org.eclipse.xtext.Keyword getColonKeyword_2_1_0()

    - #### getTypeAssignment_2_1_1

          public org.eclipse.xtext.Assignment getTypeAssignment_2_1_1()

    - #### getTypeJavaTypeParserRuleCall_2_1_1_0

          public org.eclipse.xtext.RuleCall getTypeJavaTypeParserRuleCall_2_1_1_0()